org.apache.el.parser

## Class ELParser

- java.lang.Object
- - org.apache.el.parser.ELParser

All Implemented Interfaces:
  ELParserConstants, ELParserTreeConstants

    public class ELParser
    extends Object
    implements ELParserTreeConstants, ELParserConstants

### Field Summary

Fields
`Token` `jj_nt` Next token.
`protected JJTELParserState` `jjtree`
`Token` `token` Current token.
`ELParserTokenManager` `token_source` Generated Token Manager.

### Fields inherited from interface org.apache.el.parser.ELParserTreeConstants

`JJTAND, JJTBRACKETSUFFIX, JJTCHOICE, JJTCOMPOSITEEXPRESSION, JJTDEFERREDEXPRESSION, JJTDIV, JJTDOTSUFFIX, JJTDYNAMICEXPRESSION, JJTEMPTY, JJTEQUAL, JJTFALSE, JJTFLOATINGPOINT, JJTFUNCTION, JJTGREATERTHAN, JJTGREATERTHANEQUAL, JJTIDENTIFIER, JJTINTEGER, JJTLESSTHAN, JJTLESSTHANEQUAL, JJTLITERALEXPRESSION, JJTMETHODPARAMETERS, JJTMINUS, JJTMOD, JJTMULT, JJTNEGATIVE, jjtNodeName, JJTNOT, JJTNOTEQUAL, JJTNULL, JJTOR, JJTPLUS, JJTSTRING, JJTTRUE, JJTVALUE, JJTVOID`

### Fields inherited from interface org.apache.el.parser.ELParserConstants

`AND0, AND1, COLON, COMMA, DEFAULT, DIGIT, DIV0, DIV1, DOT, EMPTY, END_EXPRESSION, EOF, EQ0, EQ1, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FUNCTIONSUFFIX, GE0, GE1, GT0, GT1, IDENTIFIER, ILLEGAL_CHARACTER, IMPL_OBJ_START, IN_EXPRESSION, INSTANCEOF, INTEGER_LITERAL, LBRACK, LE0, LE1, LETTER, LITERAL_EXPRESSION, LPAREN, LT0, LT1, MINUS, MOD0, MOD1, MULT, NE0, NE1, NOT0, NOT1, NULL, OR0, OR1, PLUS, QUESTIONMARK, RBRACK, RPAREN, START_DEFERRED_EXPRESSION, START_DYNAMIC_EXPRESSION, STRING_LITERAL, tokenImage, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`ELParser(ELParserTokenManager tm)` Constructor with generated Token Manager.
`ELParser(InputStream stream)` Constructor with InputStream.
`ELParser(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
`ELParser(Reader stream)` Constructor.

### Method Summary

Methods
`void` `And()`
`void` `Boolean()`
`void` `BracketSuffix()`
`void` `Choice()`
`void` `Compare()`
`AstCompositeExpression` `CompositeExpression()`
`void` `DeferredExpression()`
`void` `disable_tracing()` Disable tracing.
`void` `DotSuffix()`
`void` `DynamicExpression()`
`void` `enable_tracing()` Enable tracing.
`void` `Equality()`
`void` `Expression()`
`void` `FloatingPoint()`
`void` `Function()`
`ParseException` `generateParseException()` Generate ParseException.
`Token` `getNextToken()` Get the next Token.
`Token` `getToken(int index)` Get the specific Token.
`void` `Identifier()`
`void` `Integer()`
`void` `Literal()`
`void` `LiteralExpression()`
`void` `Math()`
`void` `MethodParameters()`
`void` `Multiplication()`
`void` `NonLiteral()`
`void` `Null()`
`void` `Or()`
`static Node` `parse(String ref)`
`void` `ReInit(ELParserTokenManager tm)` Reinitialise.
`void` `ReInit(InputStream stream)` Reinitialise.
`void` `ReInit(InputStream stream, String encoding)` Reinitialise.
`void` `ReInit(Reader stream)` Reinitialise.
`void` `String()`
`void` `Unary()`
`void` `Value()`
`void` `ValuePrefix()`
`void` `ValueSuffix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jjtree

    protected JJTELParserState jjtree

#### token_source

    public ELParserTokenManager token_source

Generated Token Manager.

#### token

    public Token token

Current token.

#### jj_nt

    public Token jj_nt

Next token.

### Constructor Detail

#### ELParser

    public ELParser(InputStream stream)

Constructor with InputStream.

#### ELParser

    public ELParser(InputStream stream,
            String encoding)

Constructor with InputStream and supplied encoding

#### ELParser

    public ELParser(Reader stream)

Constructor.

#### ELParser

    public ELParser(ELParserTokenManager tm)

Constructor with generated Token Manager.

### Method Detail

#### parse

    public static Node parse(String ref)
                      throws ELException

Throws:
  `ELException`

#### CompositeExpression

    public final AstCompositeExpression CompositeExpression()
                                                     throws ParseException

Throws:
  `ParseException`

#### LiteralExpression

    public final void LiteralExpression()
                                 throws ParseException

Throws:
  `ParseException`

#### DeferredExpression

    public final void DeferredExpression()
                                  throws ParseException

Throws:
  `ParseException`

#### DynamicExpression

    public final void DynamicExpression()
                                 throws ParseException

Throws:
  `ParseException`

#### Expression

    public final void Expression()
                          throws ParseException

Throws:
  `ParseException`

#### Choice

    public final void Choice()
                      throws ParseException

Throws:
  `ParseException`

#### Or

    public final void Or()
                  throws ParseException

Throws:
  `ParseException`

#### And

    public final void And()
                   throws ParseException

Throws:
  `ParseException`

#### Equality

    public final void Equality()
                        throws ParseException

Throws:
  `ParseException`

#### Compare

    public final void Compare()
                       throws ParseException

Throws:
  `ParseException`

#### Math

    public final void Math()
                    throws ParseException

Throws:
  `ParseException`

#### Multiplication

    public final void Multiplication()
                              throws ParseException

Throws:
  `ParseException`

#### Unary

    public final void Unary()
                     throws ParseException

Throws:
  `ParseException`

#### Value

    public final void Value()
                     throws ParseException

Throws:
  `ParseException`

#### ValuePrefix

    public final void ValuePrefix()
                           throws ParseException

Throws:
  `ParseException`

#### ValueSuffix

    public final void ValueSuffix()
                           throws ParseException

Throws:
  `ParseException`

#### DotSuffix

    public final void DotSuffix()
                         throws ParseException

Throws:
  `ParseException`

#### BracketSuffix

    public final void BracketSuffix()
                             throws ParseException

Throws:
  `ParseException`

#### MethodParameters

    public final void MethodParameters()
                                throws ParseException

Throws:
  `ParseException`

#### NonLiteral

    public final void NonLiteral()
                          throws ParseException

Throws:
  `ParseException`

#### Identifier

    public final void Identifier()
                          throws ParseException

Throws:
  `ParseException`

#### Function

    public final void Function()
                        throws ParseException

Throws:
  `ParseException`

#### Literal

    public final void Literal()
                       throws ParseException

Throws:
  `ParseException`

#### Boolean

    public final void Boolean()
                       throws ParseException

Throws:
  `ParseException`

#### FloatingPoint

    public final void FloatingPoint()
                             throws ParseException

Throws:
  `ParseException`

#### Integer

    public final void Integer()
                       throws ParseException

Throws:
  `ParseException`

#### String

    public final void String()
                      throws ParseException

Throws:
  `ParseException`

#### Null

    public final void Null()
                    throws ParseException

Throws:
  `ParseException`

#### ReInit

    public void ReInit(InputStream stream)

Reinitialise.

#### ReInit

    public void ReInit(InputStream stream,
              String encoding)

Reinitialise.

#### ReInit

    public void ReInit(Reader stream)

Reinitialise.

#### ReInit

    public void ReInit(ELParserTokenManager tm)

Reinitialise.

#### getNextToken

    public final Token getNextToken()

Get the next Token.

#### getToken

    public final Token getToken(int index)

Get the specific Token.

#### generateParseException

    public ParseException generateParseException()

Generate ParseException.

#### enable_tracing

    public final void enable_tracing()

Enable tracing.

#### disable_tracing

    public final void disable_tracing()

Disable tracing.